# cursor.cxx File Reference

`#include "pqxx/compiler-internal.hxx"`
`#include <cstdlib>`
`#include "pqxx/cursor"`
`#include "pqxx/result"`
`#include "pqxx/transaction"`

Include dependency graph for cursor.cxx:

## Functions

template<>
void | pqxx::cursor_base::check_displacement< pqxx::cursor_base::forward_only > (difference_type d) const

## Function Documentation

template<>

void pqxx::cursor_base::check_displacement< pqxx::cursor_base::forward_only > | ( | difference_type | d | ) | const